Subject: Re: race in skb_splice_bits?

From: Octavian Purdila <[email-masked]>
Date: Wed, 28 May 2008 20:08:01 +0300

On Wednesday 28 May 2008, Octavian Purdila wrote:
>
> > So yes, your patch is simpler and faster than mine so you should push it
> > upstream. Fortunately David Miller is in copy and will (David, will
> > you?) pick it up and push, likely it is also needed for stable?
>

Hmm, might have found a problem with this approach: say we drop the lock, 
queue the data into the pipe, and at the same time tcp_collapse() is called 
which frees some of the skbs of which data we just queued in the pipe. Later, 
when we will read from the pipe, we will get random data instead of socket 
data...

Thanks,
tavi